ilnative(1)

NAME
ilnative - the Intermediate Language (IL) native utility

SYNOPSIS
ilnative [ options ] input ...

DESCRIPTION
Ilnative lists the native methods that are used within an IL object file (.obj), an IL executable (.exe), or an IL dynamic link library (.dll).

OPTIONS

-n, --names-only
    Only print the names of the methods, and not the type information.

--help
    Print a usage message for the ilnative program.

-v, --version
    Print the version of the ilnative program.

--  Marks the end of the command-line options, and the beginning of the input filenames. You may need to use this if your filename begins with '-'. e.g. "ilnative -- -input.obj". This is not needed if the input is stdin: "ilnative -" is perfectly valid.

AUTHOR
Written by Southern Storm Software, Pty Ltd. http://www.southern-storm.com.au/

SEE ALSO
ilasm(1), ildasm(1), ilsize(1), cscc(1)

DIAGNOSTICS
Exit status is 1 if an error occurred while processing the input. Otherwise the exit status is 0. See the manual page for ilsize(1) for a complete list of errors that may occur when loading an IL image file.